Java Tech

Android Studio の installation failed エラー

Android Studioでパッケージ構成を派手に変更したところ、application installation failedエラーが出るようになったのでエラー対応しました。

Failure [INSTALL_PARSE_FAILED_BAD_PACKAGE_NAME: Invalid manifest package: must have at least one '.' separator]

ビルド中にキャッシュが云々という警告と、上記のような警告がで出て困惑…

エラーの内容は用はパッケージに階層が必要とのことで、最低でも2階層必須という事です。

パッケージ変更時に誤って1階層にしてみたのがエラーの原因でした。

プロジェクト作成時にパッケージを1階層になった時、既に警告が出ていた事から察するべきでした。

  • この記事を書いた人

朝倉卍丸

-Java, Tech

© 2021 Tech Economy